package com.gingersoft.gsa.cloud.pay.device.pos.bbpos;

import com.gingersoft.gsa.cloud.pay.device.pos.PosPayAction;

/**
 * @作者: bin
 * @創建時間: 2021-04-14 12:08
 * @更新時間: 2021-04-14 12:08
 * @描述:
 */
public class BBPosDevice implements PosPayAction {

    private static BBPosDevice sBBPosDevice;

    public static BBPosDevice newInstance() {
        if (sBBPosDevice == null) {
            sBBPosDevice = new BBPosDevice();
        }
        return sBBPosDevice;
    }

    private BBPosDevice() {
    }

    @Override
    public void void0(Object params) {

    }

    @Override
    public void tip(Object params) {

    }

    @Override
    public void retrieval(Object params) {

    }

    @Override
    public void printStub(Object params) {

    }

    @Override
    public void settlement(Object params) {

    }

    @Override
    public void pay(Object params) {

    }

    @Override
    public void refund(Object params) {

    }
}
